> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-add.md).

# storage add

Add a new Storage Account

## Description

Add a new storage account that Workbench can use to list and view blobs, buckets, and other storage objects. The configuration requirements vary by cloud provider, and to streamline the setup process, there is a dedicated sub-command for each supported cloud provider. Currently, only AWS is supported.

## Synopsis

```shell
# AWS
omics workbench storage add aws STORAGE_ID
  --name NAME
  --access-key-id ACCESS_KEY_ID
  --secret-access-key SECRET_ACCESS_KEY
  --region REGION
```

## Examples

Add a new AWS storage account. This command configures Workbench to access the specified AWS storage account by providing the necessary credentials and region information.

```shell
omics workbench storage add aws my-aws-account
  --name "My AWS Account"
  --access-key-id AKIA1USDFGPGUDF9FROW
  --secret-access-key my-secret-access-key
  --region us-east-1
```

## Positional Arguments

### `STORAGE_ID`

The user-defined ID of the storage account to add.

## Flags

### `--name`=`NAME`

A human readable name for the account.

### `--access-key-id`=`ACCESS_KEY_ID`

The access Key ID to authenticate to AWS with.

### `--secret-access-key`=`SECRET_ACCESS_KEY`

The secret value of the access key.

### `--region`=`REGION`

The AWS region the access key is for.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-add.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
